using System.Windows.Controls;
using Telerik.Windows.Controls;


namespace SilverlightApplication1
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();

            this.DataContext = new ChartViewModel();
        }

        private void OnContextMenuClick(object sender, Telerik.Windows.RadRoutedEventArgs e)
        {
            // Get the clicked item
            MenuItem menuItem = (e.OriginalSource as RadMenuItem).Header as MenuItem;

            if (menuItem.Text == "Foo 0")
            {
                //...
            }
        }
    }
}
